play.utils

## Class YesSSLSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - play.utils.YesSSLSocketFactory

-     public class YesSSLSocketFactory
      extends javax.net.ssl.SSLSocketFactory

  SSL Sockets created by this factory won't check if certificates are signed with a root certificate (or chained from root)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `YesSSLSocketFactory.YesTrustManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YesSSLSocketFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `createSocket()`
    `java.net.Socket` | `createSocket(java.net.InetAddress inaddr, int i)`
    `java.net.Socket` | `createSocket(java.net.InetAddress inaddr, int i, java.net.InetAddress inaddr1, int j)`
    `java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String s, int i, boolean flag)`
    `java.net.Socket` | `createSocket(java.lang.String s, int i)`
    `java.net.Socket` | `createSocket(java.lang.String s, int i, java.net.InetAddress inaddr, int j)`
    `static javax.net.SocketFactory` | `getDefault()`
    `java.lang.String[]` | `getDefaultCipherSuites()`
    `java.lang.String[]` | `getSupportedCipherSuites()`

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YesSSLSocketFactory

          public YesSSLSocketFactory()

  - ### Method Detail

    - #### getDefault

          public static javax.net.SocketFactory getDefault()

    - #### createSocket

          public java.net.Socket createSocket(java.net.Socket socket,
                                              java.lang.String s,
                                              int i,
                                              boolean flag)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.ssl.SSLSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket()
                                       throws java.io.IOException

      Overrides:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress inaddr,
                                              int i,
                                              java.net.InetAddress inaddr1,
                                              int j)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress inaddr,
                                              int i)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String s,
                                              int i,
                                              java.net.InetAddress inaddr,
                                              int j)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String s,
                                              int i)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### getDefaultCipherSuites

          public java.lang.String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

    - #### getSupportedCipherSuites

          public java.lang.String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly